=== debian/watch ===
version=4

opts=\
repacksuffix=+ds,\
repack,compression=xz,\
filenamemangle=s/(\d+\.\d+\.\d+.\d+)-android\.tar\.gz/organicmaps-$1.tar.gz/,\
dversionmangle=auto,\
uversionmangle=s/-/./ \
 https://github.com/organicmaps/organicmaps/tags .*/tags/(\d+\.\d+\.\d+-\d+)-android.tar.gz
